{
  "format_version": "1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "vatonage:newportal",
      "basic_render_parameters": {
        "material": "particles_alpha",
        "texture": "textures/particle/particles"
      }
    },
    "curves": {
      "variable.rainbow": {
        "type": "catmull_rom",
        "input": "variable.particle_random_2",
        "horizontal_range": 1,
        "nodes": [1, 0, 1, 1.18]
      },
      "variable.psize": {
        "type": "catmull_rom",
        "input": "variable.particle_age",
        "horizontal_range": "variable.particle_lifetime",
        "nodes": [0, 0, 1, 0, 0]
      }
    },
    "components": {
      "minecraft:emitter_initialization": {
        "creation_expression": "variable.radius = 2.5;"
      },
      "minecraft:emitter_rate_steady": {
        "spawn_rate": 25,
        "max_particles": 40
      },
      "minecraft:emitter_lifetime_looping": {
        "active_time": 2
      },
      "minecraft:emitter_shape_box": {
        "offset": [
          -2,
          "math.sin(variable.emitter_age * 90) * (5-variable.particle_random_2)",
          0
        ],
        "half_dimensions": [5, 11, 1],
        "direction": "inwards"
      },
      "minecraft:particle_lifetime_expression": {
        "max_lifetime": 1.5
      },
      "minecraft:particle_initial_speed": 0,
      "minecraft:particle_motion_dynamic": {
        "linear_acceleration": [1, 0, 0]
      },
      "minecraft:particle_appearance_billboard": {
        "size": ["0.12 * variable.psize", "0.12 * variable.psize"],
        "facing_camera_mode": "rotate_xyz",
        "uv": {
          "texture_width": 128,
          "texture_height": 128,
          "uv": [32, 88],
          "uv_size": [8, 8]
        }
      },
      "minecraft:particle_appearance_tinting": {
        "color": {
          "interpolant": "variable.rainbow",
          "gradient": {
            "0.0": "#FF9E9E9E",
            "0.16": "#FF788E96",
            "0.33": "#FFAED1CB",
            "0.5": "#FFABD1D1",
            "0.67": "#FF8CBCD1",
            "0.83": "#FFDFD7D7",
            "1.0": "#FF878787"
          }
        }
      }
    }
  }
}
